.TH FSRCS 1 "Version 0.1: 03 Jun 97"
.SH NAME
fsrcs \- file system revision control system
.SH SYNOPSIS
.B "fsrcs -?"
.br
.B "fsrcs -help"
.br
.B "fsrcs -ci [-b \fI<directory>\fP] [-s \fI<directory>\fP] [-e \fI<file>\fP] [-v \fI<version>\fP] [\fI-mount\fP]
.br
.B "fsrcs -co [-b \fI<directory>\fP] [-s \fI<directory>\fP] [-e \fI<file>\fP] [-v \fI<version>\fP] [-o \fI<directory>\fP]"
.br
.SH DESCRIPTION
.I fsrcs
is a program similar to 
.I RCS
and
.I SCSS,
but allows a whole directory tree with 
regular files (text and binary), symbolic links, hard links, 
character device files and block device files to be stored in
it's repository.
The smallest object in
.I fsrcs
is an entry of a directory. It does not look at the differences 
of f.e. text files. 

.SH COMMANDLINE OPTIONS
.IP -ci
Run
.I fsrcs 
in check-in mode.
.IP -co
Run
.I fsrcs
in check-out mode.
.IP -b \fI<directory>\fP
Specifies the direcory of the repository. The directory must be supplied as 
\fIabsolute\fP
pathname.
.IP -s \fI<directory>\fP
Specifies the source directory.  The directory must be supplied as 
\fIabsolute\fP
pathname.
.IP -e \fI<file>\fP
Specifies the name of a text file with lines of the type
"exclude \fI<absolute path>\fP".
All paths are then ignored from 
.I fsrcs.
.IP -v \fI<version>\fP
Specifies the version number. \fI<version>\fP must be of type \fI<number>.<number>\fP
.IP -o \fI<directory>\fP
Specifies the destination directory on a checkout.  The directory must be supplied as 
\fIabsolute\fP
pathname.
.IP -mount
Stay on the same file system as the current source directory.
.PP

.SH "SEE ALSO"
rcs(1), sccs(1)

.SH WARNINGS
To enable support for character and block special files,
the variables 
.I $mknod, $major and $minor 
of fsrcs must be configured.

.SH COPYRIGHT
Copyright (c) 1997  Gottfried Rudorfer
.br
Comments to: Gottfried.Rudorfer@wu-wien.ac.at
